aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.Permission

Synopsis

- data AddPermission = AddPermission {
  - apLabel :: Text
  - apPermissions :: [(Text, SqsPermission)]
  - apQueueName :: QueueName
  }
- data AddPermissionResponse = AddPermissionResponse
- formatPermissions :: [(Text, SqsPermission)] -> [QueryItem]
- data RemovePermission = RemovePermission {
  - rpLabel :: Text
  - rpQueueName :: QueueName
  }
- data RemovePermissionResponse = RemovePermissionResponse

# Documentation

data AddPermission #

Constructors

AddPermission |
Fields apLabel :: Text apPermissions :: [(Text, SqsPermission)] apQueueName :: QueueName

Instances

Show AddPermission # |
Methods showsPrec :: Int -> AddPermission -> ShowS # show :: AddPermission -> String # showList :: [AddPermission] -> ShowS #
SignQuery AddPermission # | ServiceConfiguration: `SqsConfiguration`
Associated Types type ServiceConfiguration AddPermission :: * -> * # Methods signQuery :: AddPermission -> ServiceConfiguration AddPermission queryType -> SignatureData -> SignedQuery #
Transaction AddPermission AddPermissionResponse # |
type ServiceConfiguration AddPermission # |
type ServiceConfiguration AddPermission = SqsConfiguration

data AddPermissionResponse #

Constructors

AddPermissionResponse |

Instances

Show AddPermissionResponse # |
Methods showsPrec :: Int -> AddPermissionResponse -> ShowS # show :: AddPermissionResponse -> String # showList :: [AddPermissionResponse] -> ShowS #
AsMemoryResponse AddPermissionResponse # |
Associated Types type MemoryResponse AddPermissionResponse :: * # Methods loadToMemory :: AddPermissionResponse -> ResourceT IO (MemoryResponse AddPermissionResponse) #
Transaction AddPermission AddPermissionResponse # |
ResponseConsumer r AddPermissionResponse # |
Associated Types type ResponseMetadata AddPermissionResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata AddPermissionResponse) -> HTTPResponseConsumer AddPermissionResponse #
type MemoryResponse AddPermissionResponse # |
type MemoryResponse AddPermissionResponse = AddPermissionResponse
type ResponseMetadata AddPermissionResponse # |
type ResponseMetadata AddPermissionResponse = SqsMetadata

formatPermissions :: [(Text, SqsPermission)] -> [QueryItem] #

data RemovePermission #

Constructors

RemovePermission |
Fields rpLabel :: Text rpQueueName :: QueueName

Instances

Show RemovePermission # |
Methods showsPrec :: Int -> RemovePermission -> ShowS # show :: RemovePermission -> String # showList :: [RemovePermission] -> ShowS #
SignQuery RemovePermission # | ServiceConfiguration: `SqsConfiguration`
Associated Types type ServiceConfiguration RemovePermission :: * -> * # Methods signQuery :: RemovePermission -> ServiceConfiguration RemovePermission queryType -> SignatureData -> SignedQuery #
Transaction RemovePermission RemovePermissionResponse # |
type ServiceConfiguration RemovePermission # |
type ServiceConfiguration RemovePermission = SqsConfiguration

data RemovePermissionResponse #

Constructors

RemovePermissionResponse |

Instances

Show RemovePermissionResponse # |
Methods showsPrec :: Int -> RemovePermissionResponse -> ShowS # show :: RemovePermissionResponse -> String # showList :: [RemovePermissionResponse] -> ShowS #
AsMemoryResponse RemovePermissionResponse # |
Associated Types type MemoryResponse RemovePermissionResponse :: * # Methods loadToMemory :: RemovePermissionResponse -> ResourceT IO (MemoryResponse RemovePermissionResponse) #
Transaction RemovePermission RemovePermissionResponse # |
ResponseConsumer r RemovePermissionResponse # |
Associated Types type ResponseMetadata RemovePermissionResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata RemovePermissionResponse) -> HTTPResponseConsumer RemovePermissionResponse #
type MemoryResponse RemovePermissionResponse # |
type MemoryResponse RemovePermissionResponse = RemovePermissionResponse
type ResponseMetadata RemovePermissionResponse # |
type ResponseMetadata RemovePermissionResponse = SqsMetadata